Upstream information

CVE-2014-9841 at MITRE

Description

The ReadPSDLayers function in coders/psd.c in ImageMagick 6.8.9.9 allows remote attackers to have unspecified impact via unknown vectors, related to "throwing of exceptions."

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 7.5 4.3
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network Network
Access Complexity Low Medium
Authentication None None
Confidentiality Impact Partial None
Integrity Impact Partial None
Availability Impact Partial Partial
SUSE Bugzilla entries: 982969 [RESOLVED / FIXED], 984172 [RESOLVED / FIXED], 984186 [RESOLVED / FIXED], 984374 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP1
  • ImageMagick >= 6.8.8.1-30.2
  • libMagick++-6_Q16-3 >= 6.8.8.1-30.2
  • libMagickCore-6_Q16-1 >= 6.8.8.1-30.2
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-30.2
  • libMagickWand-6_Q16-1 >= 6.8.8.1-30.2
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2016-1041
SUSE Linux Enterprise Desktop 12 SP2
  • ImageMagick >= 6.8.8.1-33.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-33.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-33.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-33.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-33.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA ImageMagick
SUSE Linux Enterprise Desktop 12 SP3
  • ImageMagick >= 6.8.8.1-70.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-70.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-70.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-70.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-70.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA ImageMagick
SUSE Linux Enterprise Server 12 SP1
  • ImageMagick >= 6.8.8.1-30.2
  • libMagickCore-6_Q16-1 >= 6.8.8.1-30.2
  • libMagickWand-6_Q16-1 >= 6.8.8.1-30.2
Patchnames:
SUSE-SLE-SERVER-12-SP1-2016-1041
SUSE Linux Enterprise Server 12 SP2
  • libMagickCore-6_Q16-1 >= 6.8.8.1-33.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-33.1
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA libMagickCore-6_Q16-1
SUSE Linux Enterprise Server 12 SP3
  • libMagickCore-6_Q16-1 >= 6.8.8.1-70.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-70.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA libMagickCore-6_Q16-1
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libMagickCore-6_Q16-1 >= 6.8.8.1-33.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-33.1
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA libMagickCore-6_Q16-1
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • ImageMagick >= 6.8.8.1-30.2
  • libMagickCore-6_Q16-1 >= 6.8.8.1-30.2
  • libMagickWand-6_Q16-1 >= 6.8.8.1-30.2
Patchnames:
SUSE-SLE-SERVER-12-SP1-2016-1041
SUSE Linux Enterprise Software Development Kit 12 SP1
  • ImageMagick >= 6.8.8.1-30.2
  • ImageMagick-devel >= 6.8.8.1-30.2
  • libMagick++-6_Q16-3 >= 6.8.8.1-30.2
  • libMagick++-devel >= 6.8.8.1-30.2
  • perl-PerlMagick >= 6.8.8.1-30.2
Patchnames:
SUSE-SLE-SDK-12-SP1-2016-1041
SUSE Linux Enterprise Software Development Kit 12 SP2
  • ImageMagick >= 6.8.8.1-33.1
  • ImageMagick-devel >= 6.8.8.1-33.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-33.1
  • libMagick++-devel >= 6.8.8.1-33.1
  • perl-PerlMagick >= 6.8.8.1-33.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA ImageMagick
SUSE Linux Enterprise Software Development Kit 12 SP3
  • ImageMagick >= 6.8.8.1-70.1
  • ImageMagick-devel >= 6.8.8.1-70.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-70.1
  • libMagick++-devel >= 6.8.8.1-70.1
  • perl-PerlMagick >= 6.8.8.1-70.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA ImageMagick
SUSE Linux Enterprise Workstation Extension 12 SP1
  • ImageMagick >= 6.8.8.1-30.2
  • libMagick++-6_Q16-3 >= 6.8.8.1-30.2
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-30.2
Patchnames:
SUSE-SLE-WE-12-SP1-2016-1041
SUSE Linux Enterprise Workstation Extension 12 SP2
  • ImageMagick >= 6.8.8.1-33.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-33.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-33.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP2 GA ImageMagick
SUSE Linux Enterprise Workstation Extension 12 SP3
  • ImageMagick >= 6.8.8.1-70.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-70.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-70.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP3 GA ImageMagick
openSUSE Leap 42.1
  • ImageMagick >= 6.8.8.1-15.1
  • ImageMagick-debuginfo >= 6.8.8.1-15.1
  • ImageMagick-debugsource >= 6.8.8.1-15.1
  • ImageMagick-devel >= 6.8.8.1-15.1
  • ImageMagick-devel-32bit >= 6.8.8.1-15.1
  • ImageMagick-doc >= 6.8.8.1-15.1
  • ImageMagick-extra >= 6.8.8.1-15.1
  • ImageMagick-extra-debuginfo >= 6.8.8.1-15.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-15.1
  • libMagick++-6_Q16-3-32bit >= 6.8.8.1-15.1
  • libMagick++-6_Q16-3-debuginfo >= 6.8.8.1-15.1
  • libMagick++-6_Q16-3-debuginfo-32bit >= 6.8.8.1-15.1
  • libMagick++-devel >= 6.8.8.1-15.1
  • libMagick++-devel-32bit >= 6.8.8.1-15.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-15.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-15.1
  • libMagickCore-6_Q16-1-debuginfo >= 6.8.8.1-15.1
  • libMagickCore-6_Q16-1-debuginfo-32bit >= 6.8.8.1-15.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-15.1
  • libMagickWand-6_Q16-1-32bit >= 6.8.8.1-15.1
  • libMagickWand-6_Q16-1-debuginfo >= 6.8.8.1-15.1
  • libMagickWand-6_Q16-1-debuginfo-32bit >= 6.8.8.1-15.1
  • perl-PerlMagick >= 6.8.8.1-15.1
  • perl-PerlMagick-debuginfo >= 6.8.8.1-15.1
Patchnames:
openSUSE-2016-883
openSUSE Leap 42.2
  • ImageMagick >= 6.8.8.1-20.1
  • ImageMagick-devel >= 6.8.8.1-20.1
  • ImageMagick-doc >= 6.8.8.1-20.1
  • ImageMagick-extra >= 6.8.8.1-20.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-20.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-20.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-20.1
  • perl-PerlMagick >= 6.8.8.1-20.1
Patchnames:
openSUSE Leap 42.2 GA ImageMagick
openSUSE Leap 42.3
  • ImageMagick >= 6.8.8.1-32.7
  • ImageMagick-devel >= 6.8.8.1-32.7
  • ImageMagick-doc >= 6.8.8.1-32.7
  • ImageMagick-extra >= 6.8.8.1-32.7
  • libMagick++-6_Q16-3 >= 6.8.8.1-32.7
  • libMagickCore-6_Q16-1 >= 6.8.8.1-32.7
  • libMagickWand-6_Q16-1 >= 6.8.8.1-32.7
  • perl-PerlMagick >= 6.8.8.1-32.7
Patchnames:
openSUSE Leap 42.3 GA ImageMagick


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 GA ImageMagick Released
SUSE Linux Enterprise Desktop 12 SP1 ImageMagick Affected
SUSE Linux Enterprise Desktop 12 SP2 ImageMagick Released
SUSE Linux Enterprise SDK 11 SP4 GraphicsMagick In progress
SUSE Linux Enterprise SDK 11 SP4 ImageMagick In progress
SUSE Linux Enterprise SDK 12 GA ImageMagick Released
SUSE Linux Enterprise SDK 12 SP1 ImageMagick Affected
SUSE Linux Enterprise SDK 12 SP2 ImageMagick Released
SUSE Linux Enterprise Server 11 SP2 LTSS ImageMagick In progress
SUSE Linux Enterprise Server 11 SP3 LTSS ImageMagick In progress
SUSE Linux Enterprise Server 11 SP4 ImageMagick In progress
SUSE Linux Enterprise Server 12 GA ImageMagick Released
SUSE Linux Enterprise Server 12 GA LTSS ImageMagick Released
SUSE Linux Enterprise Server 12 SP1 ImageMagick Affected
SUSE Linux Enterprise Server 12 SP2 ImageMagick Released
SUSE Linux Enterprise Workstation Extension 12 GA ImageMagick Released
SUSE Linux Enterprise Workstation Extension 12 SP1 ImageMagick Affected
SUSE Studio Onsite 1.3 GraphicsMagick In progress